Skip to main content
GET
/
paas
/
v4
/
voice
/
list
音色列表
curl --request GET \
  --url https://open.bigmodel.cn/api/paas/v4/voice/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://open.bigmodel.cn/api/paas/v4/voice/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://open.bigmodel.cn/api/paas/v4/voice/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://open.bigmodel.cn/api/paas/v4/voice/list")
.header("Authorization", "Bearer <token>")
.asString();
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://open.bigmodel.cn/api/paas/v4/voice/list"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://open.bigmodel.cn/api/paas/v4/voice/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "voice_list": [
    {
      "voice": "voice_clone_20240315_143052_001",
      "voice_name": "my_custom_voice_001",
      "voice_type": "PRIVATE",
      "download_url": "https://example.com/voice_clone_20240315_143052_001.mp3",
      "create_time": "2024-03-15 14:30:52"
    }
  ]
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

标准的 HTTP Bearer 认证方式,在 API Keys 页面获取密钥。

Query Parameters

voiceName
string

音色名称, 如果传入中文, 需要 url encode

voiceType
enum<string>

音色类型

Available options:
PRIVATE,
OFFICIAL

Response

业务处理成功

voice_list
object[]

音色列表